Manage access to bank accounts for users (grant or revoke).
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/access \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bankAccounts": [
{
"bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/access"
payload = {
"bankAccounts": [{ "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }],
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bankAccounts: [{bankAccountId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}],
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Bank Account Access
Manage access to bank accounts for users (grant or revoke).
Grants or revokes access to bank accounts for the specified users. Set type to ‘GRANT’ to grant access or ‘REVOKE’ to revoke access. Users cannot revoke their own access.
Token types: APP, USER | Required scopes: bank_account:write:org
POST
/
embedded-banking
/
v1
/
bank-accounts
/
access
Manage access to bank accounts for users (grant or revoke).
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Body
application/jsonapplication/*+json
Request to manage access to bank accounts for users (grant or revoke).
Response
Access updated successfully.
Was this page helpful?
⌘I